document.addEventListener('DOMContentLoaded', () => {
  // Add parallax effect to floating elements
  document.addEventListener('mousemove', (e) => {
    const elements = document.querySelectorAll('.floating-elements span');
    const mouseX = e.clientX / window.innerWidth;
    const mouseY = e.clientY / window.innerHeight;

    elements.forEach((element, index) => {
      const speed = (index + 1) * 2;
      const x = (mouseX - 0.5) * speed;
      const y = (mouseY - 0.5) * speed;
      element.style.transform = `translate(${x}px, ${y}px)`;
    });
  });

  // Add smooth scroll behavior
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});